<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = 'credmain';
$file = 'crednote.php';

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$gtype = $_REQUEST["para"];

$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND a.`vouchno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchdt` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`invno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND b.`name` = '$searchTerm'";
        // } else if ($_REQUEST["sfield"] == "5") {
        //     $cond = "AND a.`delvnote` = '$searchTerm'";
        }
    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`invno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND b.`name` LIKE '%$searchTerm%'";
        // } else if ($_REQUEST["sfield"] == "5") {
        //     $cond = "AND a.`delvnote` LIKE '%$searchTerm%'";
        }
    }
}


$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY  a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`invno`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY b.`name`";
// } else if ($_REQUEST["sortBy"] == "5") {
//     $sortcond = " ORDER BY a.`delvnote`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}


$query = "SELECT a.*, b.accode, b.name from $maindb a, accmast b
          where a.party = b.accode  $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
//    $mlen = strlen($r['voucher']);
//    $vouch = str_repeat("0", 6 - $mlen) . $r['voucher'];

    $rows[] = ['success' => true,
    'value'   => $ctr,
    'keyfld'  => $keyfld,
    'vouchno'  => $r['vouchno'],
    'vouchdt' => $r['vouchdt'],
    'invno'   => $r['invno'],
    // 'delvnote'   => $r['delvnote'],
    'name'    => $r['name'],
    'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
